Bug 1471162 - Cloud volume operations are blocked by "Must filter on valid attributes for resource" error
Cloud volume operations are blocked by "Must filter on valid attributes for r...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity urgent
: GA
: 5.9.0
Assigned To: Aparna Karve
Ido Ovadia
storage
: Regression, TestOnly, ZStream
: 1471486 1489006 (view as bug list)
Depends On:
Blocks: 1503797 1478571
  Show dependency treegraph
 
Reported: 2017-07-14 10:40 EDT by Oleksandr Kolisnyk
Modified: 2017-12-04 05:17 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1478571 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)
err message on "Add volume" page (89.38 KB, image/png)
2017-07-14 10:40 EDT, Oleksandr Kolisnyk
no flags Details
evm.log while trying to add a new volume (24.07 KB, text/plain)
2017-07-14 10:42 EDT, Oleksandr Kolisnyk
no flags Details

  None (edit)
Description Oleksandr Kolisnyk 2017-07-14 10:40:14 EDT
Created attachment 1298385 [details]
err message on "Add volume" page

Description of problem:
Most of the operations over cloud volumes raise "Must filter on valid attributes for resource" error.
Workarounds:
'delete' works as expected
'attach' and 'detach' can be performed from the page of cloud instance


Version-Release number of selected component (if applicable):
5.8.1.2 and Openstack Cloud Provider

How reproducible:
Always

Steps to Reproduce:
1. Try to perform any operation: Add, Edit, Attach, Detach, Create backup, Restore backup etc.
Comment 2 Oleksandr Kolisnyk 2017-07-14 10:42 EDT
Created attachment 1298386 [details]
evm.log while trying to add a new volume
Comment 4 Tzu-Mainn Chen 2017-07-17 09:42:47 EDT
*** Bug 1471486 has been marked as a duplicate of this bug. ***
Comment 10 CFME Bot 2017-07-27 12:41:30 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b2d0c011c503a476b00f775e4ac87c01fbb2f050

commit b2d0c011c503a476b00f775e4ac87c01fbb2f050
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Jul 18 17:05:50 2017 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Jul 19 12:59:46 2017 -0700

    Added a virtual column for `v_supports_block_storage`
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1471162

 app/models/ext_management_system.rb | 3 +++
 1 file changed, 3 insertions(+)
Comment 11 CFME Bot 2017-07-27 17:19:21 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d6e775a4826530d03b2886ba6bb54ab581e36b30

commit d6e775a4826530d03b2886ba6bb54ab581e36b30
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Jul 18 17:30:14 2017 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Jul 19 11:18:29 2017 -0700

    Modify the API params to support filtering on non-column methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1471162

 .../cloud_object_store_container_form_controller.js                     | 2 +-
 .../controllers/cloud_volume/cloud_volume_form_controller.js            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 13 Jared Deubel 2017-09-07 12:10:55 EDT
*** Bug 1489006 has been marked as a duplicate of this bug. ***
Comment 14 Ido Ovadia 2017-11-11 18:20:18 EST
Verified
========
5.9.0.5

Note You need to log in before you can comment on or make changes to this bug.